// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package favorites

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	"juwan-backend/app/search/api/internal/logic/favorites"
	"juwan-backend/app/search/api/internal/svc"
	"juwan-backend/app/search/api/internal/types"
)

// 取消收藏
func RemoveFavoriteHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.PathIDReq
		if err := httpx.Parse(r, &req); err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
			return
		}

		l := favorites.NewRemoveFavoriteLogic(r.Context(), svcCtx)
		resp, err := l.RemoveFavorite(&req)
		if err != nil {
			httpx.ErrorCtx(r.Context(), w, err)
		} else {
			httpx.OkJsonCtx(r.Context(), w, resp)
		}
	}
}
